stages:
  - test-build
  - test
  - build
  # - deploy

# tests are performed on any commit
test-build:
  image: gitlab-registry.cern.ch/cms-cactus/web/cc7-l1ce-ready:20211020
  stage: test-build
  except:
    - tags
    - release
  script:
    - make rpm
    - rpm -qipl *.rpm
  artifacts:
    paths:
      - ./*.rpm
    expire_in: 1 day


# test:
#   image: gitlab-registry.cern.ch/cms-cactus/web/cc7-l1ce-ready:20211020
#   dependencies:
#     - test-build
#   stage: test
#   except:
#     - release
#     - tags
#   script:
#     - yum localinstall -y L1Page*rpm
#     - sed -i "/ ssl_certificate /c\ssl_certificate \/opt\/cactus\/L1Page\/config\/shitty.crt;" /etc/nginx/conf.d/l1page.conf
#     - sed -i "/ ssl_certificate_key /c\ssl_certificate_key \/opt\/cactus\/L1Page\/config\/shitty.key;" /etc/nginx/conf.d/l1page.conf
#     - mkdir -p /opt/cactus/L1Page/config/test/
#     - echo $CMS_TRG_R > /opt/cactus/L1Page/config/test/cms_trg_r
#     - cp -fv setup/config/test/*               /opt/cactus/L1Page/config/
#     - cp -fv setup/config/test/ts_flashlist.js /opt/cactus/L1Page/settings/ts_flashlist.js
#     - cp -fv setup/database/tnsnames.ora       /etc/tnsnames.ora
#     - ln -s /opt/cactus/L1Page/api/node_modules /opt/cactus/L1Page/config/node_modules
#     - /opt/cactus/L1Page/config/fakeFlashlistServer.js &
#     - nginx
#     - pm2 reload l1page-api
#     - sleep 5
#     - make test

# builds are only performed on new tags
build:
  image: gitlab-registry.cern.ch/cms-cactus/web/cc7-l1ce-ready:20210930
  stage: build
  only:
    - tags
    - triggers
  script:
    - make rpm
  artifacts:
    paths:
      - ./*.rpm

# deploy_staging:
#   stage: deploy
#   only:
#     - tags
#   when: manual
#   environment:
#     name: staging
#     url: https://L1Page-staging.cern.ch
